Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlUnionMember

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlUnionMember

public interface idlUnionMember
extends idlObject

This class is implemented by all IDL objects that represent a IDL union member.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`java.lang.String` | `expression()` Return the expression
`idlObject` | `internal()` Return the internal type
`boolean` | `isDefault()` Return true if this member is a default member
`java.lang.Long` | `value()` Return the expression value as long

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isDefault

    public boolean isDefault()

  Return true if this member is a default member

### expression

    public java.lang.String expression()

  Return the expression

### value

    public java.lang.Long value()

  Return the expression value as long

### internal

    public idlObject internal()

  Return the internal type

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD